using System.Collections;
using System.Collections.Generic;
using UnityEngine;

// Trying a new approach here.
public class RequireGlobals : MonoBehaviour {
  public GameObject prefab;

  private void Awake() {
    if (GameObject.FindGameObjectWithTag("GameController") == null) {
      Instantiate(prefab);
    }
  }
}
